package com.fs.qw.service;


import com.fs.common.core.domain.R;
import com.fs.qw.domain.QwConversation;
import com.fs.qw.domain.QwUser;
import com.fs.qw.param.CreateConParam;
import com.fs.qw.vo.QwContactListVO;
import com.fs.qw.vo.QwUserVO;

import java.util.List;

/**
 * 企微功能账号管理Service接口
 *
 * @author fs
 * @date 2023-08-23
 */
public interface IQwConversationService
{
    /**
     * 查询企微会话管理
     *

     * @return 企微会话管理
     */
    public QwConversation selectQwConversationById(String conversationId);

    /**
     * 查询企微会话管理 列表
     *
     * @param qwConversation 企微会话管理
     * @return 企微会话管理 集合
     */
    public List<QwConversation> selectQwConversationList(QwConversation qwConversation);

    /**
     * 新增企微会话管理
     *
     * @param qwConversation 企微会话管理
     * @return 结果
     */
    public int insertQwConversation(QwConversation qwConversation);

    /**
     * 修改企微会话管理
     *
     * @param qwConversation 企微会话管理
     * @return 结果
     */
    public int updateQwConversation(QwConversation qwConversation);

    /**
     * 批量删除企微会话管理
     *
     * @param ids 需要删除的企微会话管理 ID
     * @return 结果
     */
    public int deleteQwConversationByIds(Long[] ids);

    /**
     * 删除企微会话管理 信息
     *
     * @param id 企微会话管理 ID
     * @return 结果
     */
    public int deleteQwConversationById(Long id);

    List<QwContactListVO> selectQwConversationByUserId(String userId);

    QwContactListVO selectQwConversationBycId(String conversationId,String userId);

    R createConversation(CreateConParam param);

    int selectConType(String conversationId);
}
